list_replace_rcu
Prev | Doubly Linked Lists | Next

## Name

list_replace_rcu — replace old entry by new one

## Synopsis

`void list_replace_rcu (` | struct list_head * | old,
| struct list_head * | new`)`;

## Arguments

`old`

  the element to be replaced

`new`

  the new element to insert

## Description

The `old` entry will be replaced with the `new` entry atomically.

## Note

`old` should not be empty.

Prev | Up | Next
list_replace | Home | list_del_init